## xca 2.2.1

=== Makefile ===
#
# Makefile for XCA
#
#####################################################################

TAG=RELEASE.$(TVERSION)
TARGET=xca-$(TVERSION)
MAKEFLAGS += -rR

export BUILD=$(shell pwd)

ifneq ($(MAKECMDGOALS), distclean)
ifneq ($(MAKECMDGOALS), clean)
ifneq ($(MAKECMDGOALS), dist)
include Local.mak
endif
endif
endif
ifeq ($(TOPDIR),)
TOPDIR=.
endif

VPATH=$(TOPDIR)
SUBDIRS=lib widgets img misc
OBJECTS=$(patsubst %, %/.build-stamp, $(SUBDIRS))
INSTDIR=misc lang doc img
INSTTARGET=$(patsubst %, install.%, $(INSTDIR))
APPTARGET=$(patsubst %, app.%, $(INSTDIR))

DMGSTAGE=$(BUILD)/xca-$(VERSION)
MACTARGET=$(DMGSTAGE)${EXTRA_VERSION}
APPDIR=$(DMGSTAGE)/xca.app/Contents
OSSLSIGN=PKCS11SPY=/opt/SimpleSign/libcrypto3PKCS.so /usr/local/bin/osslsigncode

OSSLSIGN_OPT=sign -askpass -certs ~/osdch.crt -askpass \
	-key "pkcs11:object=Open%20Source%20Developer%2C%20Christian%20Hohnstaedt" \
	-pkcs11engine /usr/lib/x86_64-linux-gnu/engines-1.1/libpkcs11.so \
	-pkcs11module /usr/lib/x86_64-linux-gnu/pkcs11-spy.so \
	-n "XCA $(VERSION)" -i https://hohnstaedt.de/xca \
	-t http://timestamp.comodoca.com -h sha2

MAKENSIS=makensis

ifeq ($(SUFFIX), .exe)
all: xca-portable.zip msi-installer-dir.zip
else
ifneq ($(MACDEPLOYQT),)
all: $(MACTARGET).dmg
else
all: xca$(SUFFIX) do.doc do.lang
	@echo
	@echo "Ok, compilation was successful."
	@echo "Now do as root: 'make install'"
	@echo
endif
endif

ifeq ($(MAKECMDGOALS),)
MAKEFLAGS += -s
PRINT=echo
else
PRINT=:
endif
export PRINT

ifneq ($(TOPDIR), $(BUILD))
do.ui: clean_topdir
clean_topdir:
	$(MAKE) -C $(TOPDIR) clean
endif

xca$(SUFFIX): $(OBJECTS)
	@$(PRINT) "  LINK   $@"
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) $(patsubst %,@%, $^) $(LIBS) -o $@

do.ui do.doc do.lang do.misc: do.%:
	mkdir -p $*
	$(MAKE) -C $* -f $(TOPDIR)/$*/Makefile VPATH=$(TOPDIR)/$* $*

headers: do.ui commithash.h

%/.build-stamp: headers
	mkdir -p $*
	$(MAKE) -C $* -f $(TOPDIR)/$*/Makefile \
		VPATH=$(TOPDIR)/$*

$(INSTTARGET): install.%: %/.build-stamp
	mkdir -p $*
	$(MAKE) -C $* -f $(TOPDIR)/$*/Makefile \
		VPATH=$(TOPDIR)/$* install

$(APPTARGET): app.%: %/.build-stamp
	mkdir -p $*
	$(MAKE) -C $* -f $(TOPDIR)/$*/Makefile \
		VPATH=$(TOPDIR)/$* APPDIR=$(APPDIR) app

clean:
	find lib widgets img misc  -name "*.o" \
				-o -name ".build-stamp" \
				-o -name ".depend" \
				-o -name "moc_*.cpp" | xargs rm -f
	rm -f ui/ui_*.h lang/xca_*.qm doc/*.html doc/xca.1.gz img/imgres.cpp
	rm -f lang/*.xml lang/.build-stamp misc/dn.txt misc/eku.txt
	rm -f commithash.h misc/oids.txt
	rm -f xca$(SUFFIX) *.dmg xca-portable*.zip msi-installer-dir*.zip xca*.msi
	rm -rf xca-$(VERSION)* msi-installer-dir-$(VERSION)* xca-portable-$(VERSION)*

distclean: clean
	rm -f local.h Local.mak config.log config.status misc/Info.plist

dist: $(TARGET).tar.gz
$(TARGET).tar:
	test ! -z "$(TVERSION)"
	git archive --format=tar --prefix=$(TARGET)/ $(TAG) > _$@
	V=`tar xf _$@ -O $(TARGET)/VERSION` && \
		test "$(TVERSION)" = "$$V" && echo "$$V" > VERSION
	./bootstrap "$(TARGET)"
	tar -rf _$@ "$(TARGET)/configure"
	rm -rf "$(TARGET)"
	mv _$@ $@

$(TARGET).tar.gz: $(TARGET).tar
	gzip -9 < $^ > $@

snapshot:
	HASH=$$(git rev-parse HEAD) && \
	git archive --format=tar --prefix=xca-$${HASH}/ HEAD | \
		gzip -9 > xca-$${HASH}.tar.gz

install: xca$(SUFFIX) $(INSTTARGET)
	install -m 755 -d $(destdir)$(bindir)
	install -m 755 xca $(destdir)$(bindir)
	$(STRIP) $(destdir)$(bindir)/xca

xca$(SUFFIX).signed: xca$(SUFFIX)

%.signed: %
	$(STRIP) $< || :
	if test -n "$(OSSLSIGN)"; then \
	  $(OSSLSIGN) $(OSSLSIGN_OPT) -in "$<" -out "$@" 2>/dev/null; \
	else \
	  mv "$<" "$@"; \
	fi

msi-installer-dir-$(VERSION): misc/xca.wxs misc/xca.bat misc/variables.wxi img/banner.bmp img/dialog.bmp img/key.ico misc/copyright.rtf
	rm -f $@/* && mkdir -p $@ && cp -ra $^ $@

xca-portable-$(VERSION): xca$(SUFFIX).signed do.doc do.lang do.misc
	rm -rf $@
	mkdir -p $@/sqldrivers $@/platforms $@/html $@/i18n
	cp xca$(SUFFIX).signed $@/xca$(SUFFIX)
	cp $(patsubst %,misc/%.txt, dn eku oids) \
	   $(patsubst %,"$(QTDIR)/bin/%.dll", Qt5Gui Qt5Core Qt5Widgets \
		Qt5Sql libwinpthread-1 libstdc++-6 libgcc_s_seh-1) \
	   "$(INSTALL_DIR)/bin/libltdl-7.dll" \
	   "$(INSTALL_DIR)/bin/libcrypto-1_1-x64.dll" \
	   "$(TOPDIR)"/misc/*.xca "${TOPDIR}/../sql/"*.dll $@
	cp doc/*.html $@/html
	cp $(patsubst %,"$(QTDIR)/translations/qt_%.qm", de es pl pt ru fr sk it ja) \
		lang/*.qm $@/i18n
	sed 's/$$/\r/' < "$(TOPDIR)"/COPYRIGHT > $@/copyright.txt
	cp "$(QTDIR)/plugins/platforms/qwindows.dll" $@/platforms
	cp $(patsubst %,"$(QTDIR)/plugins/sqldrivers/%.dll", qsqlite qsqlmysql qsqlpsql qsqlodbc) $@/sqldrivers


xca-portable.zip: xca-portable-$(VERSION).zip
msi-installer-dir.zip: msi-installer-dir-$(VERSION).zip
%-$(VERSION).zip: %-$(VERSION)
	zip -r $@ $^

$(DMGSTAGE): xca$(SUFFIX)
	rm -rf $(DMGSTAGE)
	mkdir -p $(DMGSTAGE)/xca.app/Contents/MacOS
	mkdir -p $(DMGSTAGE)/xca.app/Contents/Resources
	mkdir -p $(DMGSTAGE)/manual
	ln -s /Applications $(DMGSTAGE)
	install -m 644 $(TOPDIR)/COPYRIGHT $(DMGSTAGE)/COPYRIGHT.txt
	install -m 755 xca $(DMGSTAGE)/xca.app/Contents/MacOS
	$(STRIP) $(DMGSTAGE)/xca.app/Contents/MacOS/xca
	$(MAKE) $(APPTARGET)
	cp -r $(DMGSTAGE)/xca.app/Contents/Resources/*.html $(DMGSTAGE)/manual
	ln -s xca.html $(DMGSTAGE)/manual/index.html
	$(MACDEPLOYQT) $(DMGSTAGE)/xca.app

xca.dmg: $(MACTARGET).dmg

xca.app: $(DMGSTAGE)

$(MACTARGET).dmg: $(DMGSTAGE)
	# Check for "Users" or "chris" in the resulting DMG image
	rpath="`cd $(DMGSTAGE) && otool -l xca.app/Contents/MacOS/xca | grep -e "chris\|Users" ||:`" && \
	if test -n "$$rpath"; then echo "  ERROR $$rpath"; false; fi
	-codesign --force --deep --signature-size=96000 -s "Christian Hohnstaedt" $(DMGSTAGE)/xca.app --timestamp
	hdiutil create -ov -fs HFS+ -volname "xca-$(VERSION)" -srcfolder "$<" "$@"

trans:
	$(MAKE) -C lang po2ts
	lupdate -locations relative $(TOPDIR)/xca.pro
	$(MAKE) -C lang xca.pot

.PHONY: $(SUBDIRS) $(INSTDIR) xca.app doc lang macdeployqt/macdeployqt $(DMGSTAGE) commithash.h xca-portable.zip msi-installer-dir.zip

do.doc do.lang headers: local.h

Local.mak: configure Local.mak.in
	$(TOPDIR)/configure

commithash.h:
	@$(PRINT) "  GEN    $@"
	$(TOPDIR)/gen_commithash.h.sh $@

=== doc/Makefile ===
ifeq ($(TOPDIR),)
TOPDIR=..
BUILD=..
endif

DELFILES=xca*.html xca.1.gz changelog.html database_schema.html

doc: xca.1.gz xca.html changelog.html database_schema.html
include $(TOPDIR)/Rules.mak

%.1.gz: %.1
	@$(PRINT) "  MAN    [$(BASENAME)] $@"
	gzip -9 <$^ >$@

xca.html: xca.sgml
	rm -f xca*.html
	echo 'The documentation for XCA can be viewed online at: <a href="http://hohnstaedt.de/documentation">http://hohnstaedt.de/documentation</a>.' > $@
	test ! -f xca-doc.tgz || tar zxf xca-doc.tgz
	@$(PRINT) "  DOC    [$(BASENAME)] $@"
	$(ENABLE_DOC)$(DOCTOOL) $< >/dev/null

install: $(doc)
	$(ENABLE_DOC)install -m 755 -d $(destdir)$(htmldir)
	$(ENABLE_DOC)install -m 644 xca*.html $(destdir)$(htmldir)
	install -m 755 -d $(destdir)$(mandir)/man1
	install -m 644 *.1.gz $(destdir)/$(mandir)/man1

app: xca.html
	mkdir -p $(APPDIR)/Resources
	install -m 644 xca*.html $(APPDIR)/Resources

changelog.html: $(TOPDIR)/changelog $(TOPDIR)/doc/html.header
	( cat $(TOPDIR)/doc/html.header; \
	  echo '</head><body><h2>Changelog</h2><div><ul>'; \
	  sed  's/&/\&amp;/g; s/</\&lt;/g; s/>/\&gt;/g; 2,$$ s/^xca.*-pre[0-9][0-9] .*/ <\/li><li class="prerelease">&/; s/^xca \([^ ]*\) *\(.*\)/<\/ul><\/div><div id="changelog_\1"><h3>xca \1 \2<\/h3><ul>/; s/\*/<\/li><li>/'; \
	  echo '</body></html>' \
	) < $< > $@

database_schema.html: ../widgets/database_schema.cpp
	$(TOPDIR)/doc/code2html -lcxx -ohtml $< $@

upload: database_schema.html changelog.html xca.html
	scp *.html hohnstaedt.de:xca-doc/

=== img/Makefile ===

ifeq ($(TOPDIR),)
TOPDIR=..
BUILD=..
endif

OBJS=imgres.o
ifeq ($(HOST), WINDOWS)
  OBJS += w32res.o
endif

include $(TOPDIR)/Rules.mak
sinclude .depend

install: xca-32x32.xpm
	install -D -m 644 $^ $(destdir)$(prefix)/share/pixmaps/xca-32x32.xpm

imgres.cpp: imgres.rcc
	@$(PRINT) "  RCC    [$(BASENAME)] $@"
	$(RCC) -o $@ $<

imgres.rcc: bigcert.png bigcrl.png bigcsr.png bigkey.png bigtemp.png crl.png halfkey.png invalidcertkey.png invalidcert.png key.png netscape.png reqkey.png req.png template.png validcertkey.png validcert.png scard.png

w32res.o: w32res.rc key.ico xca.ico xdb.ico
	@$(PRINT) " WINDRES $@"
	$(WINDRES) $< $@

app: xca-mac-icon.icns
	mkdir -p $(APPDIR)/Resources
	install -m 644 $^ $(APPDIR)/Resources

w32res.cpp:
	touch $@

=== lang/Makefile ===

ifeq ($(TOPDIR),)
TOPDIR=..
BUILD=..
endif
include $(TOPDIR)/Rules.mak

PO_LANGUAGES=tr fr sk
LANGUAGES=de ru hr pl pt_BR es it zh_CN nl ja $(PO_LANGUAGES)
QM_XCA=$(patsubst %, xca_%.qm, $(LANGUAGES))
QM_QT=$(patsubst %, qt_%.qm, $(LANGUAGES))
TS_XCA=$(patsubst %, xca_%.ts, $(PO_LANGUAGES))

lang all: $(QM_XCA)

%.qm: %.ts
	@$(PRINT) "  LANG   [$(BASENAME)] $@"
	$(LRELEASE) -silent $< -qm $@

install: $(QM_XCA)
	install -m 755 -d $(destdir)$(xca_prefix)
	install -m 644 $(QM_XCA) $(destdir)$(xca_prefix)

app:
	mkdir -p $(APPDIR)/Resources
	install -m 644 $(QM_XCA) $(APPDIR)/Resources
	cd $(TRANSLATIONS) && \
	  for x in $(QM_QT); do \
	    test -f "$$x" && install $$x $(APPDIR)/Resources;\
	  done || :

po2ts: $(TS_XCA)
xca_%.ts: %.po
	$(LCONVERT) -if po -i $< -of ts -o $(@)

xca.pot: xca.ts
	$(LCONVERT) -if ts -of po -i $< -o $@

=== misc/Makefile ===

SRCPATH=$(VPATH)/
ifeq ($(TOPDIR),)
TOPDIR=..
BUILD=..
endif

include $(TOPDIR)/Rules.mak

CONFIG_OBJ = dn.txt oids.txt eku.txt

misc all: $(CONFIG_OBJ)

MSG := \# Do not edit this file, rather use

%.txt: preamble.txt %.text
	@$(PRINT) "  GEN    [$(BASENAME)] $@"
ifeq ($(HOST), WINDOWS)
	(echo "$(MSG) PROFILE\Application Data\xca\$@" && cat $^) | sed 's/$$/\r/' > $@
else ifeq ($(HOST), DARWIN)
	(echo "$(MSG) HOME/Library/Application Support/data/xca/$@" && cat $^) > $@
else
	(echo "$(MSG) /etc/xca/$@ or HOME/.xca/$@" && cat $^) > $@
endif


install:
	install -m 755 -d $(destdir)$(xca_prefix) \
		$(destdir)$(datarootdir)/applications \
		$(destdir)$(datarootdir)/mime/packages
	install -m 644 $(CONFIG_OBJ) $(SRCPATH)*.xca \
			$(destdir)$(xca_prefix)
	install -m 644 $(SRCPATH)xca.desktop $(destdir)$(datarootdir)/applications
	install -m 644 $(SRCPATH)xca.xml $(destdir)$(datarootdir)/mime/packages
	if test -z "$(destdir)"; then \
	  update-mime-database $(datarootdir)/mime || :; \
	  update-desktop-database || :; \
	fi

app: Info.plist
	mkdir -p $(APPDIR)/Resources
	install -m 644 $^ $(SRCPATH)PkgInfo $(APPDIR)
	install -m 644 $(CONFIG_OBJ) $(SRCPATH)*.xca $(APPDIR)/Resources

=== ui/Makefile ===

ifeq ($(TOPDIR),)
TOPDIR=..
BUILD=..
endif

UI_H =  ui_CaProperties.h ui_CertDetail.h ui_CertExtend.h \
	ui_CrlDetail.h ui_ExportDialog.h ui_Help.h \
	ui_ImportMulti.h ui_KeyDetail.h ui_MainWindow.h ui_NewCrl.h \
	ui_NewKey.h ui_NewX509.h ui_Options.h ui_PwDialog.h ui_Revoke.h \
	ui_SelectToken.h ui_XcaDialog.h ui_v3ext.h ui_SearchPkcs11.h \
	ui_RevocationList.h ui_OidResolver.h ui_OpenDb.h ui_ItemProperties.h

include $(TOPDIR)/Rules.mak

ui: $(UI_H)

=== widgets/Makefile ===

ifeq ($(TOPDIR),)
TOPDIR=..
BUILD=..
endif

MOC_NAMES=MainWindow KeyDetail clicklabel XcaTreeView NewX509 \
	validity v3ext distname CertDetail CertExtend PwDialog \
	ImportMulti CrlDetail ExportDialog hashBox Options NewKey kvView \
	NewCrl SearchPkcs11 RevocationList XcaProxyModel XcaHeaderView \
	KeyTreeView TempTreeView ReqTreeView X509SuperTreeView CertTreeView \
	OidResolver OpenDb

NAMES=$(MOC_NAMES) NewX509_ext MW_menu MW_help MW_database
OBJS=$(patsubst %,moc_%.o,$(MOC_NAMES)) $(patsubst %,%.o,$(NAMES))

include $(TOPDIR)/Rules.mak
sinclude .depend

=== debian/changelog ===
xca (2.2.1-1) unstable; urgency=medium

  * New upstream release (2.2.1).
  * d/control: Update Standards-Version to 4.5.0.
  * d/patches/0001-Remove-misc-Info.plist-in-clean-target.patch: Refresh patch
  * d/patches/0002-pkg-config-remove-hardcoding.patch: Refresh patch

 -- Thomas Ward <teward@ubuntu.com>  Mon, 03 Feb 2020 19:50:58 -0500

xca (2.1.2-3) unstable; urgency=medium

  * Fix FTCBFS: Export QT_SELECT. (Closes: #947481)
    Thanks to Helmut Grohne for patch.

 -- Thomas Ward <teward@ubuntu.com>  Fri, 27 Dec 2019 10:29:47 -0500

xca (2.1.2-2) unstable; urgency=medium

  * d/patches/0002-pkg-config-remove-hardcoding.patch: Remove hard-coded
    pkg-config in configure.ac, and replace it with $PKG_CONFIG references
    instead.
    Thanks to Helmut Grohne for the 1.4.1-1 patch, which is the basis
    for this patch.
    (Closes: #896891)

 -- Thomas Ward <teward@ubuntu.com>  Tue, 03 Sep 2019 16:27:02 -0400

xca (2.1.2-1) unstable; urgency=medium

  * New upstream version. (Closes: #927233)
  * d/watch: Update watch file to track upstream xca repository on Github.
  * d/compat: Update Debhelper compatibility to latest (12)
  * d/control:
    - New maintainer (Closes #931806)
    - Update Standards-Version to 4.4.0
    - Update Homepage to proper Upstream URL
    - Update Vcs-Git to point at Debian Salsa. Package now uses a
      git-buildpackage (gbp) workflow.
    - Add Vcs-Browser field.
    - Reorganize Build-Depends to be more readable.
    - Remove dh-autoreconf build depends.
    - Update debhelper build depends (compat is 12, so use debhelper >= 12)
    - Make requisite changes to adjust xca built by the packages to enable
      Remote DB support in xca: (Closes: #928678)
      - Add libqt5sql5 Build-Depends for Remote DB support.
      - Add Recommends on libqt5sql5-{mysql,postgresql} to xca package.
  * d/patches/0001-Remove-misc-Info.plist-in-clean-target.patch: Refresh
    patch to remove fuzz.
  * d/copyright: Update copyright file to be Machine-readable per
    https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/

 -- Thomas Ward <teward@ubuntu.com>  Sat, 13 Jul 2019 18:17:10 -0400

=== debian/control ===
Source: xca
Section: x11
Priority: optional
Maintainer: Thomas Ward <teward@ubuntu.com>
Build-Depends: debhelper (>= 12),
               qtbase5-dev,
               qttools5-dev-tools,
               libssl-dev,
               linuxdoc-tools,
               libltdl-dev,
               pkg-config,
               dpkg-dev (>= 1.16.1~),
               autoconf,
               automake,
               libqt5sql5
Standards-Version: 4.5.0
Homepage: https://hohnstaedt.de/xca/
Vcs-Browser: https://salsa.debian.org/debian/xca
Vcs-Git: https://salsa.debian.org/debian/xca.git

Package: xca
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libqt5sql5-sqlite
Recommends: libqt5sql5-mysql, libqt5sql5-postgresql
Description: x509 Certification Authority management tool based on QT
 XCA creates and manages Certificate authorities and helps the user to
 create and manage keys, certificates, certificate sign requests,
 certificate revocation lists etc.
 .
 All data is saved in an encrypted, portable database, and can be exported
 in various standard formats. XCA is also available for MacOS X and
 Windows systems.
 .
 For a good workflow, certificate templates can be defined to make the
 creation of new certificates an easy task.

## xca 2.3.0

=== Makefile ===
--- 
+++ 
@@ -38,8 +38,6 @@
 	-pkcs11module /usr/lib/x86_64-linux-gnu/pkcs11-spy.so \
 	-n "XCA $(VERSION)" -i https://hohnstaedt.de/xca \
 	-t http://timestamp.comodoca.com -h sha2
-
-MAKENSIS=makensis
 
 ifeq ($(SUFFIX), .exe)
 all: xca-portable.zip msi-installer-dir.zip
@@ -95,13 +93,13 @@
 		VPATH=$(TOPDIR)/$* APPDIR=$(APPDIR) app
 
 clean:
-	find lib widgets img misc  -name "*.o" \
+	find lib widgets img misc -name "*.o" \
 				-o -name ".build-stamp" \
 				-o -name ".depend" \
 				-o -name "moc_*.cpp" | xargs rm -f
 	rm -f ui/ui_*.h lang/xca_*.qm doc/*.html doc/xca.1.gz img/imgres.cpp
 	rm -f lang/*.xml lang/.build-stamp misc/dn.txt misc/eku.txt
-	rm -f commithash.h misc/oids.txt
+	rm -f commithash.h misc/oids.txt misc/variables.wxi
 	rm -f xca$(SUFFIX) *.dmg xca-portable*.zip msi-installer-dir*.zip xca*.msi
 	rm -rf xca-$(VERSION)* msi-installer-dir-$(VERSION)* xca-portable-$(VERSION)*
 
@@ -128,9 +126,9 @@
 		gzip -9 > xca-$${HASH}.tar.gz
 
 install: xca$(SUFFIX) $(INSTTARGET)
-	install -m 755 -d $(destdir)$(bindir)
-	install -m 755 xca $(destdir)$(bindir)
-	$(STRIP) $(destdir)$(bindir)/xca
+	install -m 755 -d $(DESTDIR)$(bindir)
+	install -m 755 xca $(DESTDIR)$(bindir)
+	$(STRIP) $(DESTDIR)$(bindir)/xca
 
 xca$(SUFFIX).signed: xca$(SUFFIX)
 
@@ -147,7 +145,7 @@
 
 xca-portable-$(VERSION): xca$(SUFFIX).signed do.doc do.lang do.misc
 	rm -rf $@
-	mkdir -p $@/sqldrivers $@/platforms $@/html $@/i18n
+	mkdir -p $@/sqldrivers $@/platforms $@/html $@/i18n $@/styles
 	cp xca$(SUFFIX).signed $@/xca$(SUFFIX)
 	cp $(patsubst %,misc/%.txt, dn eku oids) \
 	   $(patsubst %,"$(QTDIR)/bin/%.dll", Qt5Gui Qt5Core Qt5Widgets \
@@ -161,6 +159,7 @@
 	sed 's/$$/\r/' < "$(TOPDIR)"/COPYRIGHT > $@/copyright.txt
 	cp "$(QTDIR)/plugins/platforms/qwindows.dll" $@/platforms
 	cp $(patsubst %,"$(QTDIR)/plugins/sqldrivers/%.dll", qsqlite qsqlmysql qsqlpsql qsqlodbc) $@/sqldrivers
+	cp -a "$(QTDIR)/plugins/styles/qwindowsvistastyle.dll" "$@/styles"
 
 
 xca-portable.zip: xca-portable-$(VERSION).zip

=== doc/Makefile ===
--- 
+++ 
@@ -20,10 +20,10 @@
 	$(ENABLE_DOC)$(DOCTOOL) $< >/dev/null
 
 install: $(doc)
-	$(ENABLE_DOC)install -m 755 -d $(destdir)$(htmldir)
-	$(ENABLE_DOC)install -m 644 xca*.html $(destdir)$(htmldir)
-	install -m 755 -d $(destdir)$(mandir)/man1
-	install -m 644 *.1.gz $(destdir)/$(mandir)/man1
+	$(ENABLE_DOC)install -m 755 -d $(DESTDIR)$(htmldir)
+	$(ENABLE_DOC)install -m 644 xca*.html $(DESTDIR)$(htmldir)
+	install -m 755 -d $(DESTDIR)$(mandir)/man1
+	install -m 644 *.1.gz $(DESTDIR)/$(mandir)/man1
 
 app: xca.html
 	mkdir -p $(APPDIR)/Resources

=== img/Makefile ===
--- 
+++ 
@@ -12,8 +12,26 @@
 include $(TOPDIR)/Rules.mak
 sinclude .depend
 
-install: xca-32x32.xpm
-	install -D -m 644 $^ $(destdir)$(prefix)/share/pixmaps/xca-32x32.xpm
+ICONS = \
+		xca-16x16.png \
+		xca-32x32.png \
+		xca-64x64.png
+PIXMAPS = \
+		  xca-32x32.xpm
+ICON_NAME = xca
+ICONDIR = $(datadir)/icons/hicolor
+
+install: install-pixmaps install-icons
+
+install-pixmaps: $(PIXMAPS)
+	install -D -m 644 $^ $(DESTDIR)$(datadir)/pixmaps/$(ICON_NAME).xpm
+
+install-icons: $(ICONS)
+	for SZ in 16 32 64; do \
+		if [ -f xca-$${SZ}x$${SZ}.png ]; then \
+			install -D -m 0644 xca-$${SZ}x$${SZ}.png $(DESTDIR)$(ICONDIR)/$${SZ}x$${SZ}/apps/$(ICON_NAME).png ; \
+		fi ; \
+	done
 
 imgres.cpp: imgres.rcc
 	@$(PRINT) "  RCC    [$(BASENAME)] $@"

=== lang/Makefile ===
--- 
+++ 
@@ -18,8 +18,8 @@
 	$(LRELEASE) -silent $< -qm $@
 
 install: $(QM_XCA)
-	install -m 755 -d $(destdir)$(xca_prefix)
-	install -m 644 $(QM_XCA) $(destdir)$(xca_prefix)
+	install -m 755 -d $(DESTDIR)$(xca_prefix)
+	install -m 644 $(QM_XCA) $(DESTDIR)$(xca_prefix)
 
 app:
 	mkdir -p $(APPDIR)/Resources

=== lib/Makefile ===

ifeq ($(TOPDIR),)
TOPDIR=..
BUILD=..
endif

MOCNAMES=db_crl db_key db_temp db_x509 db_x509req db_x509super db_base db_token\
	pki_temp pki_x509 pki_crl pki_x509req pki_key pki_x509super pki_pkcs12 \
	pki_base pki_multi pki_evp pki_scard pass_info pki_pkcs7 main
NAMES=$(MOCNAMES) asn1int oid x509rev asn1time version \
	x509v3ext func load_obj x509name db settings \
	pk11_attribute pkcs11 pkcs11_lib Passwd builtin_curves entropy sql


OBJS=$(patsubst %, %.o, $(NAMES)) $(patsubst %, moc_%.o, $(MOCNAMES))

include $(TOPDIR)/Rules.mak
sinclude .depend

=== misc/Makefile ===
--- 
+++ 
@@ -25,14 +25,14 @@
 
 
 install:
-	install -m 755 -d $(destdir)$(xca_prefix) \
-		$(destdir)$(datarootdir)/applications \
-		$(destdir)$(datarootdir)/mime/packages
+	install -m 755 -d $(DESTDIR)$(xca_prefix) \
+		$(DESTDIR)$(datarootdir)/applications \
+		$(DESTDIR)$(datarootdir)/mime/packages
 	install -m 644 $(CONFIG_OBJ) $(SRCPATH)*.xca \
-			$(destdir)$(xca_prefix)
-	install -m 644 $(SRCPATH)xca.desktop $(destdir)$(datarootdir)/applications
-	install -m 644 $(SRCPATH)xca.xml $(destdir)$(datarootdir)/mime/packages
-	if test -z "$(destdir)"; then \
+			$(DESTDIR)$(xca_prefix)
+	install -m 644 $(SRCPATH)xca.desktop $(DESTDIR)$(datarootdir)/applications
+	install -m 644 $(SRCPATH)xca.xml $(DESTDIR)$(datarootdir)/mime/packages
+	if test -z "$(DESTDIR)"; then \
 	  update-mime-database $(datarootdir)/mime || :; \
 	  update-desktop-database || :; \
 	fi

=== debian/changelog ===
xca (2.3.0-1) unstable; urgency=medium

  * New upstream release (2.3.0)
  * This upload will also fix the following Debian BTS Bugs:
    - "xca: OLD LN differs warning popups at startup" (Closes: #958886)
    - "xca: New upstream version 2.3.0 available" (Closes: #960580)
  * Additional changes:
    - d/patches/0003-fix-autoheader.patch: Apply upstream (pending) fixes 
      to handle issue with autoheader changes and build failures.
    - debian/control: Replace Recommends postgresql dependency to
      libqt5sql5-psql

 -- Thomas Ward <teward@ubuntu.com>  Mon, 27 Apr 2020 09:53:56 -0400

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  libqt5sql5-sqlite
-Recommends: libqt5sql5-mysql, libqt5sql5-postgresql
+Recommends: libqt5sql5-mysql, libqt5sql5-psql
 Description: x509 Certification Authority management tool based on QT
  XCA creates and manages Certificate authorities and helps the user to
  create and manage keys, certificates, certificate sign requests,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/RELEASE\.?(\d\S+)\.tar\.gz/xca-$1\.tar\.gz/ \
  https://github.com/chris2511/xca/tags .*\/RELEASE\.(\d{1,2}\.\d{1,2}.\d{1,2})\.tar\.gz

## xca 2.4.0

=== Makefile ===
--- 
+++ 
@@ -25,11 +25,12 @@
 OBJECTS=$(patsubst %, %/.build-stamp, $(SUBDIRS))
 INSTDIR=misc lang doc img
 INSTTARGET=$(patsubst %, install.%, $(INSTDIR))
+INSTSTAMP=$(patsubst %, %/.install-stamp, $(INSTDIR))
 APPTARGET=$(patsubst %, app.%, $(INSTDIR))
 
 DMGSTAGE=$(BUILD)/xca-$(VERSION)
 MACTARGET=$(DMGSTAGE)${EXTRA_VERSION}
-APPDIR=$(DMGSTAGE)/xca.app/Contents
+APPDIR=$(BUILD)/xca.app/Contents
 OSSLSIGN=PKCS11SPY=/opt/SimpleSign/libcrypto3PKCS.so /usr/local/bin/osslsigncode
 
 OSSLSIGN_OPT=sign -askpass -certs ~/osdch.crt -askpass \
@@ -43,7 +44,13 @@
 all: xca-portable.zip msi-installer-dir.zip
 else
 ifneq ($(MACDEPLOYQT),)
-all: $(MACTARGET).dmg
+all: xca.dmg
+ifneq ($(APPLE_DEVELOPER),)
+APPLE_CERT_ID_APP=Developer ID Application: $(APPLE_DEVELOPER)
+APPLE_CERT_3PARTY_INST=3rd Party Mac Developer Installer: $(APPLE_DEVELOPER)
+APPLE_CERT_3PARTY_APP=3rd Party Mac Developer Application: $(APPLE_DEVELOPER)
+all: xca.pkg
+endif
 else
 all: xca$(SUFFIX) do.doc do.lang
 	@echo
@@ -55,6 +62,7 @@
 
 ifeq ($(MAKECMDGOALS),)
 MAKEFLAGS += -s
+export DOCTOOLFLAGS += -q
 PRINT=echo
 else
 PRINT=:
@@ -73,7 +81,7 @@
 
 do.ui do.doc do.lang do.misc: do.%:
 	mkdir -p $*
-	$(MAKE) -C $* -f $(TOPDIR)/$*/Makefile VPATH=$(TOPDIR)/$* $*
+	$(MAKE) -C $* -f $(TOPDIR)/$*/Makefile VPATH=$(TOPDIR)/$* all
 
 headers: do.ui commithash.h
 
@@ -82,12 +90,17 @@
 	$(MAKE) -C $* -f $(TOPDIR)/$*/Makefile \
 		VPATH=$(TOPDIR)/$*
 
+%/.install-stamp: %/.build-stamp headers
+	mkdir -p $*
+	$(MAKE) -C $* -f $(TOPDIR)/$*/Makefile \
+		VPATH=$(TOPDIR)/$* .install-stamp
+
 $(INSTTARGET): install.%: %/.build-stamp
 	mkdir -p $*
 	$(MAKE) -C $* -f $(TOPDIR)/$*/Makefile \
 		VPATH=$(TOPDIR)/$* install
 
-$(APPTARGET): app.%: %/.build-stamp
+$(APPTARGET): app.%: %/.install-stamp
 	mkdir -p $*
 	$(MAKE) -C $* -f $(TOPDIR)/$*/Makefile \
 		VPATH=$(TOPDIR)/$* APPDIR=$(APPDIR) app
@@ -99,9 +112,9 @@
 				-o -name "moc_*.cpp" | xargs rm -f
 	rm -f ui/ui_*.h lang/xca_*.qm doc/*.html doc/xca.1.gz img/imgres.cpp
 	rm -f lang/*.xml lang/.build-stamp misc/dn.txt misc/eku.txt
-	rm -f commithash.h misc/oids.txt misc/variables.wxi
+	rm -f commithash.h misc/oids.txt misc/variables.wxi doc/xca.1
 	rm -f xca$(SUFFIX) *.dmg xca-portable*.zip msi-installer-dir*.zip xca*.msi
-	rm -rf xca-$(VERSION)* msi-installer-dir-$(VERSION)* xca-portable-$(VERSION)*
+	rm -rf xca-$(VERSION)* msi-installer-dir-$(VERSION)* xca-portable-$(VERSION)* doc/html/ doc/qthelp/ doc/sphinx
 
 distclean: clean
 	rm -f local.h Local.mak config.log config.status misc/Info.plist
@@ -140,8 +153,8 @@
 	  mv "$<" "$@"; \
 	fi
 
-msi-installer-dir-$(VERSION): misc/xca.wxs misc/xca.bat misc/variables.wxi img/banner.bmp img/dialog.bmp img/key.ico misc/copyright.rtf
-	rm -f $@/* && mkdir -p $@ && cp -ra $^ $@
+msi-installer-dir-$(VERSION): misc/xca.wxs misc/xca.bat misc/variables.wxi img/banner.bmp img/dialog.bmp img/xca.ico misc/copyright.rtf
+	rm -f $@/* && mkdir -p $@ && cp -a $^ $@
 
 xca-portable-$(VERSION): xca$(SUFFIX).signed do.doc do.lang do.misc
 	rm -rf $@
@@ -149,11 +162,11 @@
 	cp xca$(SUFFIX).signed $@/xca$(SUFFIX)
 	cp $(patsubst %,misc/%.txt, dn eku oids) \
 	   $(patsubst %,"$(QTDIR)/bin/%.dll", Qt5Gui Qt5Core Qt5Widgets \
-		Qt5Sql libwinpthread-1 libstdc++-6 libgcc_s_seh-1) \
+		Qt5Sql Qt5Help libwinpthread-1 libstdc++-6 libgcc_s_seh-1) \
 	   "$(INSTALL_DIR)/bin/libltdl-7.dll" \
 	   "$(INSTALL_DIR)/bin/libcrypto-1_1-x64.dll" \
 	   "$(TOPDIR)"/misc/*.xca "${TOPDIR}/../sql/"*.dll $@
-	cp doc/*.html $@/html
+	cp -a doc/qthelp/*.html doc/qthelp/xca.qhc doc/qthelp/xca.qch $@/html
 	cp $(patsubst %,"$(QTDIR)/translations/qt_%.qm", de es pl pt ru fr sk it ja) \
 		lang/*.qm $@/i18n
 	sed 's/$$/\r/' < "$(TOPDIR)"/COPYRIGHT > $@/copyright.txt
@@ -167,37 +180,69 @@
 %-$(VERSION).zip: %-$(VERSION)
 	zip -r $@ $^
 
-$(DMGSTAGE): xca$(SUFFIX)
+$(DMGSTAGE): xca.app
+	@$(PRINT) "  DMGDIR $@"
 	rm -rf $(DMGSTAGE)
-	mkdir -p $(DMGSTAGE)/xca.app/Contents/MacOS
-	mkdir -p $(DMGSTAGE)/xca.app/Contents/Resources
-	mkdir -p $(DMGSTAGE)/manual
+	mkdir -p $(DMGSTAGE)
+	cp -a xca.app $(DMGSTAGE)
 	ln -s /Applications $(DMGSTAGE)
 	install -m 644 $(TOPDIR)/COPYRIGHT $(DMGSTAGE)/COPYRIGHT.txt
-	install -m 755 xca $(DMGSTAGE)/xca.app/Contents/MacOS
-	$(STRIP) $(DMGSTAGE)/xca.app/Contents/MacOS/xca
+	$(ENABLE_DOC)mkdir -p $(DMGSTAGE)/manual
+	$(ENABLE_DOC)cp -a doc/html $(DMGSTAGE)/manual/
+	$(ENABLE_DOC)ln -sf html/index.html $(DMGSTAGE)/manual/
+	$(MACDEPLOYQT) $(DMGSTAGE)/xca.app
+	touch $@
+
+xca.app: xca$(SUFFIX) $(INSTSTAMP)
+	@$(PRINT) "  APP    $@"
+	rm -rf $@
+	mkdir -p $@/Contents/MacOS
+	install -m 755 $< $@/Contents/MacOS
 	$(MAKE) $(APPTARGET)
-	cp -r $(DMGSTAGE)/xca.app/Contents/Resources/*.html $(DMGSTAGE)/manual
-	ln -s xca.html $(DMGSTAGE)/manual/index.html
-	$(MACDEPLOYQT) $(DMGSTAGE)/xca.app
+	touch $@
 
 xca.dmg: $(MACTARGET).dmg
 
-xca.app: $(DMGSTAGE)
+CODESIGN=codesign --deep --signature-size=96000 --options=runtime --timestamp
 
 $(MACTARGET).dmg: $(DMGSTAGE)
+	@$(PRINT) "  DMG    $@"
 	# Check for "Users" or "chris" in the resulting DMG image
-	rpath="`cd $(DMGSTAGE) && otool -l xca.app/Contents/MacOS/xca | grep -e "chris\|Users" ||:`" && \
+	rpath="`cd $^ && otool -l xca.app/Contents/MacOS/xca | grep -e "chris\|Users" ||:`" && \
 	if test -n "$$rpath"; then echo "  ERROR $$rpath"; false; fi
-	-codesign --force --deep --signature-size=96000 -s "Christian Hohnstaedt" $(DMGSTAGE)/xca.app --timestamp
+	test -z "$(APPLE_CERT_ID_APP)" || \
+		$(CODESIGN) -s "$(APPLE_CERT_ID_APP)" $(DMGSTAGE)/xca.app
 	hdiutil create -ov -fs HFS+ -volname "xca-$(VERSION)" -srcfolder "$<" "$@"
+
+xca.pkg: $(MACTARGET).pkg
+
+APPSTORE_DIR=AppStore
+xca.app.dSYM: xca$(SUFFIX)
+	@$(PRINT) "  SYM    $@"
+	dsymutil $^ -o $@
+	touch $@
+
+$(MACTARGET).pkg: xca.app xca.app.dSYM
+	@$(PRINT) "  PKG    $@"
+	rm -rf $(APPSTORE_DIR)
+	mkdir -p $(APPSTORE_DIR)/dSYM
+	cp -a $^ $(APPSTORE_DIR)
+	$(MACDEPLOYQT) $(APPSTORE_DIR)/xca.app -appstore-compliant
+	$(CODESIGN) -s "$(APPLE_CERT_3PARTY_APP)" --entitlements $(TOPDIR)/misc/entitlement.plist $(APPSTORE_DIR)/xca.app
+	# Having the xca.app.dSYM around is apparently not sufficient
+	symbols -noTextInSOD -noDaemon -arch all \
+		-symbolsPackageDir $(APPSTORE_DIR)/dSYM \
+		xca.app.dSYM/Contents/Resources/DWARF/xca
+	productbuild --symbolication $(APPSTORE_DIR)/dSYM \
+		--component $(APPSTORE_DIR)/xca.app /Applications \
+		--sign "$(APPLE_CERT_3PARTY_INST)" $@
 
 trans:
 	$(MAKE) -C lang po2ts
 	lupdate -locations relative $(TOPDIR)/xca.pro
 	$(MAKE) -C lang xca.pot
 
-.PHONY: $(SUBDIRS) $(INSTDIR) xca.app doc lang macdeployqt/macdeployqt $(DMGSTAGE) commithash.h xca-portable.zip msi-installer-dir.zip
+.PHONY: $(SUBDIRS) $(INSTDIR) commithash.h xca-portable.zip msi-installer-dir.zip
 
 do.doc do.lang headers: local.h

=== doc/Makefile ===
ifeq ($(TOPDIR),)
TOPDIR=..
BUILD=..
endif

DELFILES=xca*.html xca.1.gz conf.py
RST_FILES=arguments common-actions object-ids smartcard \
	certificate-input database options step-by-step \
	certificates index privatekey template changelog \
	introduction requests commandline miscellaneous \
	revocationlist

SPHINX_FILES=$(patsubst %,sphinx/%.rst,$(RST_FILES))

.build-stamp doc: xca.1.gz html/index.html qthelp/xca.qhc
qthelpfiles=qthelp/*.html qthelp/xca.qhc qthelp/xca.qch
.install-stamp: doc

include $(TOPDIR)/Rules.mak

%.1.gz: %.1
	@$(PRINT) "  MAN    [$(BASENAME)] $@"
	gzip -9 <$^ >$@

xca.1: xca.1.head xca.1.options xca.1.tail
	cat $^ > $@

html/index.html: sphinx/conf.py
	@$(PRINT) "  HTML   [$(BASENAME)] $@"
	$(ENABLE_DOC)$(DOCTOOL) -b html $(DOCTOOLFLAGS) sphinx html
	mkdir -p html && touch $@

qthelp/xca.qhcp: sphinx/conf.py
	@$(PRINT) "  QTHELP [$(BASENAME)] $@"
	$(ENABLE_DOC)$(DOCTOOL) -b qthelp $(DOCTOOLFLAGS) sphinx qthelp
	mkdir -p qthelp && touch $@

qthelp/xca.qhc: qthelp/xca.qhcp
	@$(PRINT) "  QTHGEN [$(BASENAME)] $@"
	$(ENABLE_DOC)$(HELPCOLL) $< -o $@

install: $(doc)
	$(ENABLE_DOC)install -m 755 -d $(DESTDIR)$(htmldir)
	$(ENABLE_DOC)install -m 644 $(qthelpfiles) $(DESTDIR)$(htmldir)
	install -m 755 -d $(DESTDIR)$(mandir)/man1
	install -m 644 *.1.gz $(DESTDIR)/$(mandir)/man1

app: $(doc)
	mkdir -p $(APPDIR)/Resources
	$(ENABLE_DOC)install -m 644 $(qthelpfiles) $(APPDIR)/Resources

sphinx/conf.py: conf.py sphinx/database_schema.sql sphinx/changelog sphinx/COPYRIGHT sphinx/_static/bigcert.png $(SPHINX_FILES)
	mkdir -p sphinx
	cp $< $@
sphinx/database_schema.sql: ../widgets/database_schema.cpp
	mkdir -p sphinx
	sed 's/<<//; s/\\"/'"'"'/g; s,//,--,; s/"/ /g; s/^[[:space:]]\+schemas\[\(.*\)\].*/  -- Schema Version \1/; /^\t$$/d' < $^ > $@
sphinx/changelog: ../changelog
	mkdir -p sphinx
	cp $^ $@
sphinx/COPYRIGHT: ../COPYRIGHT
	@mkdir -p sphinx
	cp $^ $@
sphinx/_static/bigcert.png: ../img/bigcert.png
	@mkdir -p sphinx/_static
	cp $^ $@
sphinx/%.rst: rst/%.rst
	@mkdir -p sphinx
	cp $^ $@

=== img/Makefile ===

ifeq ($(TOPDIR),)
TOPDIR=..
BUILD=..
endif

OBJS=imgres.o
ifeq ($(HOST), WINDOWS)
  OBJS += w32res.o
endif

include $(TOPDIR)/Rules.mak
sinclude .depend

ICON_SIZES = 16x16 32x32 48x48 64x64
ICONS = $(patsubst %,%/apps/xca.png, $(ICON_SIZES))
ICONS_SRC = $(patsubst %,xca-icons.iconset/icon_%.png, $(ICON_SIZES))
PIXMAPS = xca-32x32.xpm
ICONDIR = $(datadir)/icons/hicolor

install: install-pixmaps $(ICONS) $(ICONS_SRC)
.install-stamp: $(PIXMAPS) $(ICONS_SRC)

install-pixmaps: $(PIXMAPS)
	install -d $(DESTDIR)$(datadir)/pixmaps/
	install -m 644 $^ $(DESTDIR)$(datadir)/pixmaps/

%/apps/xca.png: xca-icons.iconset/icon_%.png
	install -d $(DESTDIR)$(ICONDIR)/$*/apps $(DESTDIR)$(ICONDIR)/$*/mimetypes
	install -m 0644 $^ $(DESTDIR)$(ICONDIR)/$@
	ln -s ../apps/xca.png $(DESTDIR)$(ICONDIR)/$*/mimetypes/x-xca-database.png
	ln -s ../apps/xca.png $(DESTDIR)$(ICONDIR)/$*/mimetypes/x-xca-template.png

imgres.cpp: imgres.rcc
	@$(PRINT) "  RCC    [$(BASENAME)] $@"
	$(RCC) -o $@ $<

imgres.rcc: bigcert.png bigcrl.png bigcsr.png bigkey.png bigtemp.png crl.png halfkey.png invalidcertkey.png invalidcert.png key.png netscape.png reqkey.png req.png template.png validcertkey.png validcert.png scard.png

w32res.o: w32res.rc xca.ico
	@$(PRINT) " WINDRES $@"
	$(WINDRES) $< $@

xca-icons.icns: xca-icons.iconset
	iconutil --convert icns $^

app: xca-icons.icns
	mkdir -p $(APPDIR)/Resources
	install -m 644 $^ $(APPDIR)/Resources

w32res.cpp:
	touch $@

=== lang/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 QM_QT=$(patsubst %, qt_%.qm, $(LANGUAGES))
 TS_XCA=$(patsubst %, xca_%.ts, $(PO_LANGUAGES))
 
-lang all: $(QM_XCA)
+.install-stamp lang all: $(QM_XCA)
 
 %.qm: %.ts
 	@$(PRINT) "  LANG   [$(BASENAME)] $@"

=== lib/Makefile ===

ifeq ($(TOPDIR),)
TOPDIR=..
BUILD=..
endif

MOCNAMES=db_crl db_key db_temp db_x509 db_x509req db_x509super db_base db_token\
	pki_temp pki_x509 pki_crl pki_x509req pki_key pki_x509super pki_pkcs12 \
	pki_base pki_multi pki_evp pki_scard pass_info pki_pkcs7 database_model

NAMES=$(MOCNAMES) asn1int oid x509rev asn1time version \
	x509v3ext func load_obj x509name db settings \
	pk11_attribute pkcs11 pkcs11_lib Passwd builtin_curves entropy sql \
	dbhistory main arguments BioByteArray

OBJS=$(patsubst %, %.o, $(NAMES)) $(patsubst %, moc_%.o, $(MOCNAMES))

include $(TOPDIR)/Rules.mak
sinclude .depend

=== ui/Makefile ===
--- 
+++ 
@@ -13,4 +13,4 @@
 
 include $(TOPDIR)/Rules.mak
 
-ui: $(UI_H)
+ui all: $(UI_H)

=== widgets/Makefile ===
--- 
+++ 
@@ -9,9 +9,9 @@
 	ImportMulti CrlDetail ExportDialog hashBox Options NewKey kvView \
 	NewCrl SearchPkcs11 RevocationList XcaProxyModel XcaHeaderView \
 	KeyTreeView TempTreeView ReqTreeView X509SuperTreeView CertTreeView \
-	OidResolver OpenDb
+	OidResolver OpenDb XcaWarning CrlTreeView XcaApplication Help
 
-NAMES=$(MOC_NAMES) NewX509_ext MW_menu MW_help MW_database
+NAMES=$(MOC_NAMES) NewX509_ext MW_menu MW_help
 OBJS=$(patsubst %,moc_%.o,$(MOC_NAMES)) $(patsubst %,%.o,$(NAMES))
 
 include $(TOPDIR)/Rules.mak

=== debian/changelog ===
xca (2.4.0-2) unstable; urgency=medium

  * New patches added:
    - d/patches/xca-240-ossl3.patch: Upstream OpenSSL 3.0 compatibility
      patches to allow builds and compat with OpenSSL 3.0.

 -- Thomas Ward <teward@ubuntu.com>  Fri, 11 Feb 2022 16:17:45 -0500

xca (2.4.0-1) unstable; urgency=medium

  * New upstream release (2.4.0)
  * Additional changes:
    - Drop d/patches/0003-fix-autoheader.patch - this is already fixed 
      in 2.4.0.
    - d/control: Add qttools5-dev package to build dependencies.
    - d/xca-dbgsym.lintian-overrides: Suppress a warning about ELF 
      decoder in Lintian - seen in sbuild tests against Unstable.

 -- Thomas Ward <teward@ubuntu.com>  Fri, 10 Dec 2021 19:23:24 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: x11
 Priority: optional
 Maintainer: Thomas Ward <teward@ubuntu.com>
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 12),
                qtbase5-dev,
+               qttools5-dev,
                qttools5-dev-tools,
                libssl-dev,
                linuxdoc-tools,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_SELECT=qt5

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	./bootstrap
	STRIP=true dh_auto_configure -- --prefix=/usr

override_dh_auto_install:
	destdir=$(CURDIR)/debian/xca dh_auto_install

override_dh_auto_build:
	dh_auto_build -- all

ORIG=${DEB_SOURCE}_${DEB_VERSION_UPSTREAM}

get-orig-source:
	git archive --format=tar upstream/${DEB_VERSION_UPSTREAM} --prefix=${ORIG}/ | gzip -9 > ../${ORIG}.orig.tar.gz
